### Method

# FwupdPlugin Efivars exists

since: 2.0.0

#### Declaration [src]

    gboolean
    fu_efivars_exists (
      FuEfivars* self,
      const gchar* guid,
      const gchar* name
    )

#### Description [src]

Test if a variable exists.

Available since: 2.0.0

#### Parameters

`guid`

  Type: `const gchar*`

  Globally unique identifier.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const gchar*`

  Variable name.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` on success.